import Vue from "vue";
import VueRouter from "vue-router";
import login from "../views/login.vue";
import Home from "../views/Home.vue";
import Mine from "../views/Mine.vue";
import Project from "../views/Project.vue";
import Overview from "../views/Overview.vue";
import list from "../views/list.vue";
import calendarTask from "../views/calendarTask.vue";
import square from "../components/square.vue";


import actualPayment from "../components/finance/actualPayment.vue";
import completeStatistics from "../components/finance/completeStatistics.vue";
import partTimeExpenses from "../components/finance/partTimeExpenses.vue";
import costAccounting from "../components/finance/costAccounting.vue";
import collectionStatistics from "../components/finance/collectionStatistics.vue";



Vue.use(VueRouter);

const routes = [
	{
	  path: "/login",
	  name: "login",
	  components:{
			app: login
		}
	},
	{
		path: "/",
		name: "Home",
		components:{
			app: Home
		},
		children: [
			{
			  path: "mine",
			  name: "mine",
			  components:{
					home: Mine
				}
			},{
			  path: "project",
			  name: "project",
				components:{
					home: Project
				}
			},
			{
			  path: "Overview",
			  name: "Overview",
			  components:{
					home: Overview
				}
			},{
			  path: "list",
			  name: "list",
			  components:{
					home: list
				}
			},
			{
			  path: "calendarTask",
			  name: "calendarTask",
			  components:{
					home: calendarTask
				}
			},
			{
			  path: "square",
			  name: "square",
			  components:{
			  	home: square
			  }
			},
			
			{
			  path: "actualPayment",
			  name: "actualPayment",
			  components:{
			  	home: actualPayment
			  }
			},
			{
			  path: "completeStatistics",
			  name: "completeStatistics",
			  components:{
			  	home: completeStatistics
			  }
			},
			{
			  path: "partTimeExpenses",
			  name: "partTimeExpenses",
			  components:{
			  	home: partTimeExpenses
			  }
			},
			{
			  path: "costAccounting",
			  name: "costAccounting",
			  components:{
			  	home: costAccounting
			  }
			},
			{
			  path: "collectionStatistics",
			  name: "collectionStatistics",
			  components:{
			  	home: collectionStatistics
			  }
			},
		]
	},
  
];

const router = new VueRouter({
  routes
});



export default router;

